searchData={"items":[{"type":"module","title":"OCI","doc":"Documentation for `OCI`.","ref":"OCI.html"},{"type":"function","title":"OCI.hello/0","doc":"Hello world.","ref":"OCI.html#hello/0"},{"type":"function","title":"Examples - OCI.hello/0","doc":"iex> OCI.hello()\n    :world","ref":"OCI.html#hello/0-examples"},{"type":"extras","title":"OCI","doc":"# OCI\n\n![OCI Logo](logo.png)\n\n[![Hex.pm](https://img.shields.io/hexpm/v/oci.svg)](https://hex.pm/packages/oci)\n[![Hex.pm](https://img.shields.io/hexpm/dt/oci.svg)](https://hex.pm/packages/oci)\n[![Hex.pm](https://img.shields.io/hexpm/l/oci.svg)](https://hex.pm/packages/oci)\n[![CI](https://github.com/massdriver/oci/actions/workflows/ci.yml/badge.svg)](https://github.com/massdriver/oci/actions/workflows/ci.yml)\n[![Credo](https://img.shields.io/badge/Credo-Enabled-brightgreen)](https://github.com/rrrene/credo)\n\nAn [OCI](https://opencontainers.org/) (Open Container Initiative) compliant V2 registry server implementation for Elixir. This library provides a plug-based solution that can be integrated into any Elixir web application, with configurable storage and authentication adapters.","ref":"readme.html"},{"type":"extras","title":"Features - OCI","doc":"- Full OCI Distribution Specification V2 compliance\n- Pluggable storage backend\n- Configurable authentication\n- Easy integration with Phoenix applications\n- Support for Docker and OCI image formats\n- Compatible with Docker CLI and ORAS tools","ref":"readme.html#features"},{"type":"extras","title":"Installation - OCI","doc":"The package can be installed by adding `oci` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:oci, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - OCI","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Basic Phoenix Integration - OCI","doc":"```elixir\n# Example router.ex configuration\n# TODO: Add router configuration example\n```","ref":"readme.html#basic-phoenix-integration"},{"type":"extras","title":"Docker CLI Interaction - OCI","doc":"```bash\n# Example Docker CLI commands\n# TODO: Add Docker CLI examples\n```","ref":"readme.html#docker-cli-interaction"},{"type":"extras","title":"ORAS CLI Interaction - OCI","doc":"```bash\n# Example ORAS CLI commands\n# TODO: Add ORAS CLI examples\n```","ref":"readme.html#oras-cli-interaction"},{"type":"extras","title":"Custom Storage Adapter - OCI","doc":"```elixir\n# Example storage adapter implementation\n# TODO: Add storage adapter example\n```","ref":"readme.html#custom-storage-adapter"},{"type":"extras","title":"Custom Authentication - OCI","doc":"```elixir\n# Example authentication implementation\n# TODO: Add authentication example\n```","ref":"readme.html#custom-authentication"},{"type":"extras","title":"Configuration - OCI","doc":"The following configuration options are available:\n\n```elixir\n# Example config.exs configuration\n# TODO: Add configuration examples\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Development - OCI","doc":"","ref":"readme.html#development"},{"type":"extras","title":"Running Tests - OCI","doc":"```bash\nmix test\n```","ref":"readme.html#running-tests"},{"type":"extras","title":"Running Tests in Watch Mode - OCI","doc":"To automatically run tests when files change:\n\n```bash\nmix test.watch\n```","ref":"readme.html#running-tests-in-watch-mode"},{"type":"extras","title":"Running Credo - OCI","doc":"```bash\nmix credo\n```","ref":"readme.html#running-credo"},{"type":"extras","title":"Running Dialyzer - OCI","doc":"```bash\nmix dialyzer\n```","ref":"readme.html#running-dialyzer"},{"type":"extras","title":"Running Documentation Generation - OCI","doc":"```bash\nmix docs\n```","ref":"readme.html#running-documentation-generation"},{"type":"extras","title":"Running Full QA Suite - OCI","doc":"To run all quality assurance checks (tests, credo, dialyzer, and docs generation):\n\n```bash\nmix qa\n```","ref":"readme.html#running-full-qa-suite"},{"type":"extras","title":"Contributing - OCI","doc":"1. Fork the repository\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Run the QA suite to ensure quality (`mix qa`)\n5. Push to the branch (`git push origin my-new-feature`)\n6. Create new Pull Request\n\nNote: Before submitting a PR, please ensure all QA checks pass by running `mix qa`. This will run:\n- Unit tests\n- Code style checks (Credo)\n- Static type checking (Dialyzer)\n- Documentation generation","ref":"readme.html#contributing"},{"type":"extras","title":"License - OCI","doc":"This project is licensed under the Apache License 2.0 - see the [LICENSE](LICENSE) file for details.","ref":"readme.html#license"},{"type":"extras","title":"References - OCI","doc":"- [OCI Distribution Specification](https://github.com/opencontainers/distribution-spec)\n- [Docker Registry HTTP API V2](https://docs.docker.com/registry/spec/api/)\n- [ORAS CLI](https://oras.land/cli/)","ref":"readme.html#references"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}